Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractCollapsiblePanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractCollapsiblePanel

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource, org.richfaces.event.PanelToggleSource

Direct Known Subclasses:
  UICollapsiblePanel

    public abstract class AbstractCollapsiblePanel

extends AbstractTogglePanel
implements org.richfaces.event.PanelToggleSource

The <rich:collapsiblePanel> component is a collapsible panel that shows or hides content when the header bar is activated. It is a simplified version of <rich:togglePanel> component.

Author:
  akolonitsky

Nested Class Summary
`static class` | `AbstractCollapsiblePanel.States`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractCollapsiblePanel()`

Method Summary
`void` | `addPanelToggleListener(org.richfaces.event.PanelToggleListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`String` | `getActiveItem()` Holds the active panel name.
`abstract String` | `getBodyClass()` Space-separated list of CSS style class(es) to be applied to the panel content.
`abstract String` | `getDir()`
`String` | `getFamily()`
`abstract String` | `getHeader()` Provides the text on the panel header.
`abstract String` | `getHeaderClass()` Space-separated list of CSS style class(es) to be applied to the panel header.
`abstract javax.el.MethodExpression` | `getItemChangeListener()` Occurs on the server side when an item is changed through Ajax using the server mode
`abstract String` | `getLang()`
`abstract String` | `getLeftCollapsedIcon()` The icon displayed on the left of the panel header when the panel is collapsed
`abstract String` | `getLeftExpandedIcon()` The icon displayed on the left of the panel header when the panel is expanded
`abstract String` | `getOnbeforeitemchange()` The client-side script method to be called before the item is changed.
`abstract String` | `getOnbeforeswitch()` The client-side script method to be called before the panel state is switched
`abstract String` | `getOnclick()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnitemchange()` The client-side script method to be called after the item is changed.
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getOnswitch()` The client-side script method to be called after the panel state is switched
`org.richfaces.event.PanelToggleListener[]` | `getPanelToggleListeners()`
`abstract String` | `getRightCollapsedIcon()` The icon displayed on the right of the panel header when the panel is collapsed
`abstract String` | `getRightExpandedIcon()` The icon displayed on the right of the panel header when the panel is expanded
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract String` | `getTitle()`
`abstract javax.el.MethodExpression` | `getToggleListener()` A Server-side MethodExpression to be called when the panel is toggled
`Object` | `getValue()`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid)`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid, String value)`
`abstract boolean` | `isCycledSwitching()` Applicable when cycling through the tabs.
`abstract boolean` | `isExpanded()` When true, the panel is expanded, when false, the panel is collapsed
`void` | `queueEvent(javax.faces.event.FacesEvent facesEvent)`
`void` | `removePanelToggleListener(org.richfaces.event.PanelToggleListener listener)`
`abstract void` | `setExpanded(boolean expanded)`
`void` | `setValue(Object value)`
`String` | `updateActiveName(String activeItemName)`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getData, getExecute, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRender, getRendersChildren, getStatus, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isImmediate, isLimitRender, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValueExpression, substituteUnresolvedClientId, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractCollapsiblePanel

    protected AbstractCollapsiblePanel()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanel`

### getActiveItem

    public String getActiveItem()

  Description copied from class: `AbstractTogglePanel`
  Holds the active panel name. This name is a reference to the name identifier of the active child <rich:togglePanelItem> component.

  Overrides:
    `getActiveItem` in class `AbstractTogglePanel`

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid)

  Overrides:
    `isActiveItem` in class `AbstractTogglePanel`

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid,
                                   String value)

  Overrides:
    `isActiveItem` in class `AbstractTogglePanel`

### updateActiveName

    public String updateActiveName(String activeItemName)

  Overrides:
    `updateActiveName` in class `AbstractTogglePanel`

### isExpanded

    public abstract boolean isExpanded()

  When true, the panel is expanded, when false, the panel is collapsed

### setExpanded

    public abstract void setExpanded(boolean expanded)

### isCycledSwitching

    public abstract boolean isCycledSwitching()

  Description copied from class: `AbstractTogglePanel`
  Applicable when cycling through the tabs. If "true", then when the last tab is active, cycling to next will activate the first tab, if "false", cycling to next will have not effect. The inverse applies for the first tab, and cycling to previous. Whether to Default: false

  Specified by:
    `isCycledSwitching` in class `AbstractTogglePanel`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent facesEvent)

  Overrides:
    `queueEvent` in class `AbstractTogglePanel`

### getHeader

    public abstract String getHeader()

  Provides the text on the panel header. The panel header is all that is visible when the panel is collapsed.

  Alternatively the header facet could be used in place of the header attribute. This would allow for additional styles and custom content to be applied to the tab.

### getToggleListener

    public abstract javax.el.MethodExpression getToggleListener()

  A Server-side MethodExpression to be called when the panel is toggled

### getItemChangeListener

    public abstract javax.el.MethodExpression getItemChangeListener()

  Description copied from class: `AbstractTogglePanel`
  Occurs on the server side when an item is changed through Ajax using the server mode

  Specified by:
    `getItemChangeListener` in class `AbstractTogglePanel`

### getLeftCollapsedIcon

    public abstract String getLeftCollapsedIcon()

  The icon displayed on the left of the panel header when the panel is collapsed

### getLeftExpandedIcon

    public abstract String getLeftExpandedIcon()

  The icon displayed on the left of the panel header when the panel is expanded

### getRightCollapsedIcon

    public abstract String getRightCollapsedIcon()

  The icon displayed on the right of the panel header when the panel is collapsed

### getRightExpandedIcon

    public abstract String getRightExpandedIcon()

  The icon displayed on the right of the panel header when the panel is expanded

### getBodyClass

    public abstract String getBodyClass()

  Space-separated list of CSS style class(es) to be applied to the panel content. This value must be passed through as the "class" attribute on generated markup.

### getHeaderClass

    public abstract String getHeaderClass()

  Space-separated list of CSS style class(es) to be applied to the panel header. This value must be passed through as the "class" attribute on generated markup.

### getOnswitch

    public abstract String getOnswitch()

  The client-side script method to be called after the panel state is switched

### getOnbeforeswitch

    public abstract String getOnbeforeswitch()

  The client-side script method to be called before the panel state is switched

### getOnbeforeitemchange

    public abstract String getOnbeforeitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called before the item is changed.

  Specified by:
    `getOnbeforeitemchange` in class `AbstractTogglePanel`

### getOnitemchange

    public abstract String getOnitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called after the item is changed.

  Specified by:
    `getOnitemchange` in class `AbstractTogglePanel`

### getLang

    public abstract String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### getDir

    public abstract String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### getTitle

    public abstract String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### getStyle

    public abstract String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### getStyleClass

    public abstract String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### getOnclick

    public abstract String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### getOndblclick

    public abstract String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### getOnmousedown

    public abstract String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### getOnmousemove

    public abstract String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### getOnmouseout

    public abstract String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### getOnmouseover

    public abstract String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### getOnmouseup

    public abstract String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### addPanelToggleListener

    public void addPanelToggleListener(org.richfaces.event.PanelToggleListener listener)

  Specified by:
    `addPanelToggleListener` in interface `org.richfaces.event.PanelToggleSource`

### getPanelToggleListeners

    public org.richfaces.event.PanelToggleListener[] getPanelToggleListeners()

  Specified by:
    `getPanelToggleListeners` in interface `org.richfaces.event.PanelToggleSource`

### removePanelToggleListener

    public void removePanelToggleListener(org.richfaces.event.PanelToggleListener listener)

  Specified by:
    `removePanelToggleListener` in interface `org.richfaces.event.PanelToggleSource`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `getValue` in class `javax.faces.component.UIOutput`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `AbstractTogglePanel`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `AbstractTogglePanel`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.